<!-- carousel-->
<header class="carousel espacamento_devise">
  <div class="container px-4 px-lg-5 h-100">
    <div class="row gx-4 gx-lg-5 h-100 align-items-center justify-content-center text-center">
      <div class="col-lg-8 align-self-end">
        <br />
        <% if notice %>
          <p class="alert alert-success"><%= notice %></p>
        <% end %>
        <% if alert %>
          <p class="alert alert-danger"><%= alert %></p>
        <% end %>
        <i class="fab fa-bootstrap fa-3x"></i>
        <h1 class="font-weight-bold">Editar <%= resource_name.to_s.humanize %></h1>
      </div>
      <div class="col-lg-8 align-self-baseline">
        <main class="form-signin">
          <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
            <%= render "devise/shared/error_messages", resource: resource %>

            <div class="form-floating">
              <%= f.email_field :email, autofocus: true, autocomplete: "email", class:"form-control", placeholder:"Informe seu e-mail" %>
              <%= f.label :email, "E-mail:"%>
            </div>  
            <br />

            <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
              <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
            <% end %>
            
            <% if @minimum_password_length %>
                <small class="form-text text-muted">
                  <em>Deixe em branco se não quiser mudar, a senha deve ser no mínimo (<%= @minimum_password_length %> caracteres)</em>
                </small>
              <% end %>
            <div class="form-floating">
              <%= f.password_field :password, autocomplete: "new-password", class:"form-control", placeholder:"Informe sua senha"  %>
              <%= f.label :password, "Senha:" %>
            </div>
            <br />

            <% if @minimum_password_length %>
              <small class="form-text text-muted">
                <em>Confirmação da senha de no mínimo (<%= @minimum_password_length %> caracteres)</em>
              </small>
            <% end %>
            <div class="form-floating">
              <%= f.password_field :password_confirmation, autocomplete: "new-password", class:"form-control", placeholder:"Informe sua senha"  %>
              <%= f.label :password_confirmation, "Confirmação da senha:" %><br />
            </div>
            <br />

            <small class="form-text text-muted">
              <i>Precisamos de sua senha atual para confirmar suas alterações</i>
            </small>
            <div class="form-floating">
              <%= f.password_field :current_password, autocomplete: "current-password", class:"form-control text-center", placeholder:"Informe sua nova senha"  %><br />
              <%= f.label :current_password, "Senha Atual:" %><br />            
            </div>

            <div class="actions">
              <%= f.submit "Atualizar", class: "w-100 btn btn-lg btn-primary"  %>
            </div>
          <% end %>
        </main>
        
        <main class="form-signin">
          <div class="form-floating">
            <hr class="divider" />
          </div>
        </main>

        <main class="form-signin">
          <div class="form-floating">
            <%= button_to "Cancelar minha conta", registration_path(resource_name), data: { confirm: "Você tem certeza que deseja cancelar sua conta?" }, method: :delete, class: "w-100 btn btn-lg btn-danger"  %>
          </div>
        </main>
      </div>
    </div>
  </div>
</header>